Skip to main content
`Ctrl`+`K`

# PetscObjectGetOptions

Gets the options database used by the object that has been set with `PetscObjectSetOptions()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetOptions(PetscObject obj, PetscOptions *options)

Collective

## Input Parameter

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`.

## Output Parameter

- options - the options database

## Note

If this is not called the object will use the default options database

## Developer Notes

This functionality is not used in PETSc and should, perhaps, be removed

## See Also

`PetscOptionsCreate()`, `PetscOptionsDestroy()`, `PetscObjectSetOptionsPrefix()`, `PetscObjectAppendOptionsPrefix()`, `PetscObjectPrependOptionsPrefix()`, `PetscObjectGetOptionsPrefix()`, `PetscObjectSetOptions()`

## Level

advanced

## Location

src/sys/objects/prefix.c

## Examples

src/snes/tutorials/ex36.c
src/ts/tutorials/ex53.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages